## swi-prolog 8.0.3+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(swipl)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

include(Version)
include(Utils)
include(CStack)

include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(AlignOf)
include(CheckStructHasMember)
include(CheckCCompilerFlag)

find_package(ZLIB REQUIRED)
if(USE_GMP)
  find_package(GMP)
endif()
if(UNIX AND NOT EMSCRIPTEN)
  find_package(Curses)
endif()

include(Config)
include(GCCBuiltins)
include(TestSignalType)
include(TestSCNProcessors)
include(TestHeaderTime)

# FIXME: Is this still needed?
if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  add_compile_options(-fno-strict-aliasing)
endif()

# Source locations
get_filename_component(SWIPL_ROOT "${CMAKE_CURRENT_SOURCE_DIR}/.." ABSOLUTE)
set(SWIPL_LIBRARY_ROOT ${SWIPL_ROOT}/library)
set(SWIPL_BOOT_ROOT ${SWIPL_ROOT}/boot)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(SWIPL_BOOT_FILE "${CMAKE_BINARY_DIR}/home/boot64.prc")
else()
  set(SWIPL_BOOT_FILE "${CMAKE_BINARY_DIR}/home/boot32.prc")
endif()

# Tools (swipl-ld)
string(REPLACE "." "" SO_EXT ${CMAKE_SHARED_MODULE_SUFFIX})

# Installation
include(Install)

################
# C files
################

set(SRC_OS pl-buffer.c pl-ctype.c pl-file.c pl-files.c pl-glob.c pl-os.c
    pl-stream.c pl-string.c pl-table.c pl-text.c pl-utf8.c pl-fmt.c
    pl-dtoa.c pl-option.c pl-cstack.c pl-codelist.c pl-prologflag.c pl-tai.c
    pl-locale.c)
prepend(SRC_OS os/ ${SRC_OS})


set(SRC_TAI caltime_utc caltime_tai leapsecs_sub leapsecs_add
    caldate_fmjd caldate_mjd leapsecs_init leapsecs_read tai_pack
    tai_unpack)
prepend(SRC_TAI libtai/ ${SRC_TAI})

set(SRC_MINIZIP zip.c unzip.c ioapi.c)
prepend(SRC_MINIZIP minizip/ ${SRC_MINIZIP})

set(SRC_CORE pl-atom.c pl-wam.c pl-arith.c pl-bag.c pl-error.c
    pl-comp.c pl-zip.c pl-dwim.c pl-ext.c pl-flag.c
    pl-funct.c pl-gc.c pl-privitf.c pl-list.c pl-string.c
    pl-load.c pl-modul.c pl-op.c pl-prims.c pl-pro.c
    pl-proc.c pl-prof.c pl-read.c pl-rec.c pl-setup.c
    pl-sys.c pl-trace.c pl-util.c pl-wic.c pl-write.c
    pl-term.c pl-thread.c pl-xterm.c pl-srcfile.c
    pl-beos.c pl-attvar.c pl-gvar.c pl-btree.c
    pl-init.c pl-gmp.c pl-segstack.c pl-hash.c
    pl-version.c pl-codetable.c pl-supervisor.c
    pl-dbref.c pl-termhash.c pl-variant.c pl-assert.c
    pl-copyterm.c pl-debug.c pl-cont.c pl-ressymbol.c pl-dict.c
    pl-trie.c pl-indirect.c pl-tabling.c pl-rsort.c pl-mutex.c)

set(LIBSWIPL_SRC
    ${SRC_CORE}
    ${SRC_OS}
    ${SRC_OS_SPECIFIC}
    ${SRC_TAI}
    ${SRC_MINIZIP})
set(SWIPL_SRC pl-main.c)

set(SRC_SWIPL_LD swipl-ld.c)
if(WIN32)
  set(SRC_SWIPL_LD ${SRC_SWIPL_LD} os/windows/uxnt.c)
endif()

set(POSIX_SHELL "/bin/sh" CACHE STRING "Full path to a POSIX compliant shell")

################
# Prolog data files
################

set(SWIPL_DATA_INDEXED_DIRS
    library library/clp library/dcg)
set(SWIPL_DATA_DIRS
    boot
    ${SWIPL_DATA_INDEXED_DIRS}
    library/dialect library/dialect/swi library/dialect/eclipse
    library/dialect/hprolog library/dialect/sicstus library/dialect/iso
    library/dialect/yap
    library/unicode library/lynx
    demo)

set(SWIPL_DATA_boot init.pl syspred.pl toplevel.pl license.pl bags.pl apply.pl
    expand.pl dcg.pl history.pl attvar.pl packs.pl dwim.pl rc.pl predopts.pl
    parms.pl autoload.pl qlf.pl topvars.pl messages.pl load.pl dicts.pl gc.pl
    engines.pl iri.pl tabling.pl)
if(WIN32)
  set(SWIPL_DATA_boot ${SWIPL_DATA_boot} menu.pl)
endif()
prepend(SWIPL_BOOT_FILES ${SWIPL_BUILD_HOME}/boot/ ${SWIPL_DATA_boot})

set(SWIPL_DATA_library explain.pl sort.pl prolog_config.pl
    qsave.pl shlib.pl statistics.pl system.pl error.pl
    backcomp.pl gensym.pl listing.pl debug.pl vm.pl
    quintus.pl edinburgh.pl ctypes.pl files.pl modules.pl
    edit.pl shell.pl check.pl heaps.pl console_input.pl
    tty.pl readln.pl readutil.pl make.pl hotfix.pl option.pl
    oset.pl ordsets.pl occurs.pl lists.pl pprint.pl atom.pl
    www_browser.pl url.pl utf8.pl main.pl assoc.pl nb_set.pl
    threadutil.pl qpforeign.pl dif.pl when.pl ugraphs.pl
    checklast.pl checkselect.pl operators.pl date.pl
    prolog_stack.pl prolog_clause.pl prolog_xref.pl prolog_source.pl
    broadcast.pl pairs.pl base64.pl record.pl rbtrees.pl settings.pl
    thread.pl dialect.pl apply_macros.pl apply.pl nb_rbtrees.pl
    aggregate.pl pure_input.pl pio.pl thread_pool.pl terms.pl
    charsio.pl portray_text.pl csv.pl persistency.pl fastrw.pl
    coinduction.pl ansi_term.pl base32.pl prolog_history.pl
    optparse.pl arithmetic.pl writef.pl predicate_options.pl
    random.pl prolog_breakpoints.pl prolog_autoload.pl
    prolog_colour.pl varnumbers.pl codesio.pl prolog_codewalk.pl
    prolog_pack.pl git.pl prolog_metainference.pl quasi_quotations.pl
    sandbox.pl prolog_format.pl prolog_install.pl check_installation.pl
    solution_sequences.pl iostream.pl dicts.pl yall.pl tabling.pl
    lazy_lists.pl prolog_jiti.pl zip.pl obfuscate.pl)
if(INSTALL_DOCUMENTATION)
  set(SWIPL_DATA_library ${SWIPL_DATA_library} help.pl)
endif()
if(WIN32)
  set(SWIPL_DATA_library ${SWIPL_DATA_library}
      dde.pl win_menu.pl)
else()
  has_package(swipl-win HAVE_SWIPL_WIN)
  if(HAVE_SWIPL_WIN)
    set(SWIPL_DATA_library ${SWIPL_DATA_library} win_menu.pl)
  endif()
endif()

set(SWIPL_DATA_library_lynx format.pl html_style.pl html_text.pl
    pldoc_style.pl)

set(SWIPL_DATA_library_clp bounds.pl clp_events.pl clp_distinct.pl
    simplex.pl clpfd.pl clpb.pl)

set(SWIPL_DATA_library_dcg basics.pl high_order.pl)

set(SWIPL_DATA_library_unicode blocks.pl unicode_data.pl)

set(SWIPL_DATA_library_dialect bim.pl commons.pl hprolog.pl ifprolog.pl
    sicstus.pl yap.pl)

set(SWIPL_DATA_library_dialect_swi syspred_options.pl)
set(SWIPL_DATA_library_dialect_eclipse test_util_iso.pl)
set(SWIPL_DATA_library_dialect_hprolog format.pl)
set(SWIPL_DATA_library_dialect_sicstus arrays.pl block.pl lists.pl
    README.TXT sockets.pl swipl-lfr.pl system.pl terms.pl timeout.pl)
set(SWIPL_DATA_library_dialect_iso iso_predicates.pl)
set(SWIPL_DATA_library_dialect_yap README.TXT)

set(SWIPL_DATA_demo likes.pl README.md)

# ${PL_LIB_FILES_ALL} holds all files from the library that are indexed
# ${PL_LIB_INDEX} holds the index file

set(PL_LIB_FILES_ALL)
foreach(d ${SWIPL_DATA_INDEXED_DIRS})
    string(REGEX REPLACE "/" "_" filevar ${d})
    prepend(files ${SWIPL_ROOT}/${d} ${SWIPL_DATA_${filevar}})
    set(PL_LIB_FILES_ALL ${PL_LIB_FILES_ALL} ${files})
endforeach()
set(PL_LIB_INDEX ${SWIPL_BUILD_LIBRARY}/INDEX.pl)

################
# Custom targets and commands
################

# build helpers
if(NOT CMAKE_CROSSCOMPILING)
  add_executable(mkvmi mkvmi.c)
  add_executable(defatom defatom.c)
  set(PROG_MKVMI mkvmi)
  set(PROG_DEFATOM defatom)
else()
  set(PROG_MKVMI
      ${CMAKE_CURRENT_BINARY_DIR}/mkvmi${CMAKE_HOST_EXECUTABLE_SUFFIX})
  set(PROG_DEFATOM
      ${CMAKE_CURRENT_BINARY_DIR}/defatom${CMAKE_HOST_EXECUTABLE_SUFFIX})

  add_custom_command(
      OUTPUT  ${PROG_DEFATOM}
      COMMAND ${CMAKE_HOST_CC} -o ${PROG_DEFATOM}
	      ${CMAKE_CURRENT_SOURCE_DIR}/defatom.c
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/defatom.c
  )

  add_custom_command(
      OUTPUT  ${PROG_MKVMI}
      COMMAND ${CMAKE_HOST_CC} -o ${PROG_MKVMI}
              ${CMAKE_CURRENT_SOURCE_DIR}/mkvmi.c
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/mkvmi.c
  )
endif()

# FIXME: we should create these in the build directory
add_custom_target(
    vmi-metadata
    COMMAND ${PROG_MKVMI} ${CMAKE_CURRENT_SOURCE_DIR}
    BYPRODUCTS pl-vmi.h pl-codetable.ic pl-jumptable.ic
    DEPENDS ${PROG_MKVMI} pl-vmi.c
    COMMENT "Generating VMI metadata"
)

add_custom_target(
    core-constants
    COMMAND ${PROG_DEFATOM} ${CMAKE_CURRENT_SOURCE_DIR}
    BYPRODUCTS pl-atom.ih pl-funct.ih
    DEPENDS ${PROG_DEFATOM} ATOMS
    COMMENT "Generating static atoms and functors"
)

set(USE_GIT_VERSION_H 1)
add_custom_target(
    git-version
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/mkversion.sh ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Checking (git) version"
)

add_custom_command(
    OUTPUT  ${SWIPL_BOOT_FILE}
    COMMAND ${CMAKE_COMMAND} -E remove -f ${SWIPL_BOOT_FILE}
    COMMAND ${PROG_SWIPL_FOR_BOOT} -q -O -o ${SWIPL_BOOT_FILE}
				   -b ${SWIPL_BUILD_HOME}/boot/init.pl
    DEPENDS swipl ${SWIPL_BOOT_FILES}
)

add_custom_command(
    OUTPUT  ${PL_LIB_INDEX}
    COMMAND ${PROG_SWIPL} -f none --nopce -q
            -g "\"make_library_index('${SWIPL_BUILD_HOME}/library')\"" -t halt
    DEPENDS ${SWIPL_BOOT_FILE} prolog_home
)

add_custom_target(prolog_products ALL
    DEPENDS ${SWIPL_BOOT_FILE} ${PL_LIB_INDEX}
)

# Precompile some popular larger libraries to .QLF
set(SWIPL_QLF_BASE ${SWIPL_BUILD_HOME}/library)
add_qcompile_target(prolog_colour)
add_qcompile_target(prolog_xref)

# The C config file
configure_file(config.h.cmake config.h)

# Configure some data files.  Uses a function because these
# files use old-style variable names and we want to avoid these
# leaking into the cmake environment.
function(config_data_files)
  set(PL swipl)
  set(PLBASE ${CMAKE_INSTALL_PREFIX}/${SWIPL_INSTALL_DIR})
  set(PLVERSION ${SWIPL_VERSION_STRING})
  set(INSTALL_PLARCH ${SWIPL_ARCH})
  set(prefix ${CMAKE_INSTALL_PREFIX})

  configure_file(swipl.1.in swipl.1 @ONLY)
  configure_file(swipl.pc.in swipl.pc @ONLY)
endfunction()

config_data_files()

# Set swipl.home above binaries to a relative path to the root
file(WRITE "${CMAKE_BINARY_DIR}/swipl.home" "home\n")
file(WRITE "${CMAKE_BINARY_DIR}/packages/swipl.home" "../home\n")
symlink(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl.rc)
symlink(${SWIPL_BOOT_ROOT}/build_home.pl ${CMAKE_BINARY_DIR}/home/swipl-win.rc)
# Final swipl.home for installed system
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/dot.txt" ".\n")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/dotdot.txt" "..\n")

# Establish libraries
if(CURSES_FOUND)
  set(LIBSWIPL_LIBRARIES ${LIBSWIPL_LIBRARIES} ${CURSES_LIBRARIES})
endif()
if(GMP_FOUND)
  set(LIBSWIPL_LIBRARIES ${LIBSWIPL_LIBRARIES} ${GMP_LIBRARIES})
  set(LIBSWIPL_INCLUDES ${LIBSWIPL_INCLUDES} ${GMP_INCLUDE_DIRS})
endif()
set(LIBSWIPL_LIBRARIES
    ${LIBSWIPL_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
if(HAVE_LIBDL)
  set(LIBSWIPL_LIBRARIES ${LIBSWIPL_LIBRARIES} dl)
endif()
if(HAVE_LIBM)
  set(LIBSWIPL_LIBRARIES ${LIBSWIPL_LIBRARIES} m)
endif()
if(HAVE_LIBRT)
  set(LIBSWIPL_LIBRARIES ${LIBSWIPL_LIBRARIES} rt)
endif()

# build swipl
add_executable(swipl ${SWIPL_SRC})
target_link_libraries(swipl libswipl)
target_c_stack(swipl 4000000)

# build the library
if(SWIPL_SHARED_LIB)
  set(LIBSWIPL_TYPE SHARED)
else()
  set(LIBSWIPL_TYPE STATIC)
endif()

add_library(libswipl ${LIBSWIPL_TYPE} ${LIBSWIPL_SRC})
add_dependencies(libswipl git-version vmi-metadata core-constants)
set_target_properties(libswipl PROPERTIES
		      OUTPUT_NAME swipl
		      VERSION ${SWIPL_VERSION_STRING}
		      SOVERSION ${SWIPL_VERSION_MAJOR})
target_include_directories(libswipl BEFORE PRIVATE
			   ${CMAKE_CURRENT_BINARY_DIR}
			   ${CMAKE_CURRENT_SOURCE_DIR}
			   ${ZLIB_INCLUDE_DIRS}
			   ${LIBSWIPL_INCLUDES})
target_link_libraries(libswipl PRIVATE ${LIBSWIPL_LIBRARIES})

if(BUILD_SWIPL_LD)
  add_executable(swipl-ld ${SRC_SWIPL_LD})
  target_include_directories(swipl-ld BEFORE PRIVATE
			     ${CMAKE_CURRENT_BINARY_DIR}
			     ${CMAKE_CURRENT_SOURCE_DIR}
			     ${LIBSWIPL_INCLUDES})
  add_dependencies(swipl-ld vmi-metadata core-constants)
endif()

if(WIN32)
  include(WindowsTargets)
elseif(EMSCRIPTEN)
  include(EmscriptenTargets)
elseif(ANDROID)
  include(AndroidTargets)
endif()

################
# PGO (profile guided optimization)

set(PGO_PROGRAM ${CMAKE_SOURCE_DIR}/bench/run.pl
    CACHE STRING
    "Program to use for Profile Guided Optimization")

set(PROFILE_GUIDED_OPTIMIZATION OFF
    CACHE STRING
    "Profile guided optimization mode")

set(PGO_DIR ${CMAKE_BINARY_DIR}/PGO-data)

=== packages/jpl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(swipl-jpl)

include("../cmake/PrologPackage.cmake")
include(Install)

# On MacOS we have /usr/libexec/java_home to find the appropriate
# JAVA_HOME.  We now use `java_home` when found.  Should we limit
# this to APPLE?  The java_home program claims to support -t JNI,
# which makes sense as that is what we want.  Unfortunately, with
# this flag we get an old MacOS version rather than the Oracle one.

if(NOT JAVA_HOME)
  find_program(
      PROG_JAVA_HOME
      java_home
      HINTS /usr/libexec
      DOC "Tool to find Java home")
  mark_as_advanced(PROG_JAVA_HOME)

  if(PROG_JAVA_HOME)
    message("-- Find Java home using ${PROG_JAVA_HOME}")

    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(jdatamodel -d64)
    else()
      set(jdatamodel -d32)
    endif()

    exec_program(${PROG_JAVA_HOME} ARGS ${jdatamodel}
		 OUTPUT_VARIABLE jhome
		 RETURN_VALUE jhome_ret)
    if(jhome_ret EQUAL 0)
      set(JAVA_HOME ${jhome} CACHE FILEPATH "Home of Java")
      message("-- ${PROG_JAVA_HOME} claims Java at ${JAVA_HOME}")
    else()
      message(WARNING "-- ${PROG_JAVA_HOME} - failed: ${jhome}")
    endif()
  endif()
endif()

# JNI is part of the Android NDK
if(NOT ANDROID)
  find_package(JNI)
else()
  set(JNI_FOUND ON)
endif(NOT ANDROID)

find_package(Java COMPONENTS Development)

if(JNI_FOUND AND Java_FOUND)
include(JUnit)

add_subdirectory(src/java)

AC_CHECK_HEADERS(wchar.h)

check_type_size("long" SIZEOF_LONG)
check_type_size("void *" SIZEOF_VOIDP)
check_type_size("long long" SIZEOF_LONG_LONG)
check_type_size("wchar_t" SIZEOF_WCHAR_T)

configure_file(config.h.cmake config.h)

link_directories(${JNI_INCLUDE_DIRS})

set(JPLCONFIG)
if(APPLE)
  set(JPLCONFIG jpl_config.pl)
  set(JPLTYPE SHARED)
  set(JPLEXT ${CMAKE_SHARED_LIBRARY_SUFFIX})
else()
  set(JPLEXT ${CMAKE_SHARED_MODULE_SUFFIX})
endif()

if(WIN32)
  set(jpl_module jpl)
else()
  set(jpl_module libjpl)
endif()

swipl_plugin(
    libjpl ${JPLTYPE}
    MODULE ${jpl_module}
    C_SOURCES src/c/jpl.c
    THREADED C_LIBS ${JAVA_JVM_LIBRARY} libswipl
    C_INCLUDE_DIR ${JNI_INCLUDE_DIRS}
    PL_LIBS jpl.pl ${JPLCONFIG})

if(JNIDIR)
install(DIRECTORY DESTINATION ${JNIDIR})
ilink(${CMAKE_INSTALL_PREFIX}/${SWIPL_INSTALL_ARCH_LIB}/${jpl_module}${JPLEXT}
      ${JNIDIR}/${jpl_module}${JPLEXT})
endif()

# Debian policies do not want  RPATH/RUNPATH.   This  clears the RUNPATH
# pointing at the Java installation from   libjpl.so. Probably we should
# do so for all package generation builds, but we would like to keep the
# RUNPATH pointing at libswipl.so
if(CMAKE_BUILD_TYPE STREQUAL "DEB" AND SWIPL_INSTALL_IN_LIB)
  set_target_properties(
      plugin_${jpl_module} PROPERTIES
	  INSTALL_RPATH ""
	  INSTALL_RPATH_USE_LINK_PATH FALSE)
endif()

add_custom_target(jpl)
add_dependencies(jpl libjpl jpl_jar)

################
# Testing

# We do not need $SWIPL_BOOT_FILE as this is now in the standard
# location for the cmake build.  Still using it though as the old
# build still uses it and modifying all that would cause another
# cycle to get everything in place

set(swihome ../../home)
if(JUNIT_JAR)
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(swibootfile ${swihome}/boot64.prc)
  else()
    set(swibootfile ${swihome}/boot32.prc)
  endif()

add_test(
    NAME jpl:prolog_in_java
    COMMAND env SWI_HOME_DIR=${swihome}
		SWIPL_BOOT_FILE=${swibootfile}
                TEST_JPL=../../../packages/jpl/test_jpl.pl
	    ${Java_JAVA_EXECUTABLE}
		 -Djava.library.path=.
                 -classpath ${JUNIT_JAR}:src/java/jpl.jar:src/java/jpltest.jar
                 junit.textui.TestRunner org.jpl7.test.TestJUnit)


test_lib(jpl
	 NAME java_in_prolog
	 PACKAGES plunit)

if(INSTALL_TESTS)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/java/jpltest.jar
	  DESTINATION ${INSTALL_TESTS_DIR}/packages/jpl/src/java)
endif()

else(JUNIT_JAR)
  message("-- No junit.jar.  Dropping JPL tests.")
endif(JUNIT_JAR)

################
# Install examples

set(EXPL jpl_colour_choose_demo.pl jpl_jlist_demo.pl jpl_table_demo.pl
         jpl_text_entry_demo.pl jpl_versions_demo.pl)
prepend(EXPL examples/prolog ${EXPL})

set(EXJAVA Exceptions Exceptions2 Family FamilyMT Test Test2 Time
	   Versions Zahed SemWeb)
prepend(EXJAVA examples/java ${EXJAVA})

swipl_examples(FILES       ${EXPL}   SUBDIR prolog)
swipl_examples(DIRECTORIES ${EXJAVA} SUBDIR java)
swipl_examples(FILES examples/java/env.sh SUBDIR java)

################
# Documentation

pkg_doc(
    jpl
    SUBSECTION
	SOURCE jpl.pl jpldoc.tex
    DEPENDS jpl)

endif(JNI_FOUND AND Java_FOUND)

=== debian/changelog ===
swi-prolog (8.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.0.3+dfsg (Closes: #939257)
  * Refresh patches
  * Drop patch applied upstream (symlink creation for jpl)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Sep 2019 14:11:09 +0500

## swi-prolog 8.2.1+dfsg

=== debian/changelog ===
swi-prolog (8.2.1+dfsg-2ubuntu1) groovy; urgency=medium

  * Omit libunwind-dev on riscv64 in addition to s390x.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2020 11:54:51 -0700

swi-prolog (8.2.1+dfsg-2) unstable; urgency=medium

  * Increase certificate expiry time and CRL refresh time to 3 years
    Thanks to Matt Lilley and Jan Wielemaker (Closes: #968013)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 10 Aug 2020 22:01:56 +0500

swi-prolog (8.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.1+dfsg
  * Refresh patches
  * Halt after one successful test run in autopkgtest
  * Capitalize docs titles properly (for docbase)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 03 Jul 2020 16:15:02 +0500

swi-prolog (8.2.0+dfsg-2) unstable; urgency=medium

  * Remove INDEX.pl since it is generated by postinst scripts
  * Generate BABI, QLF, and SSTATES ABI virtual packages
  * d/control: Loose dependency on swi-prolog-doc to Suggests

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Jun 2020 10:02:11 +0500

swi-prolog (8.2.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 8.2.0+dfsg
  * Drop xpce symlink to swipl
  * Drop xpce.1 manpage (removed upstream)
  * Update lintian overrides
  * d/control: Drop Suggests self-dependence of swi-prolog-core-packages
  * d/control: Mark build dependency on libunwind-dev as not for s390x

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 31 May 2020 20:11:41 +0500

swi-prolog (8.1.32+dfsg-1) experimental; urgency=medium

  * New upstream version 8.1.32+dfsg
  * Drop default-stack-size.diff (it is not needed now)
  * Refresh patches
  * Fix typo and reformat of d/NEWS
  * Do possible regeneration of library index in postrm scripts
  * Remove prerm scripts since everything is done in postrm scripts
  * Add doc-base support for provided documentation
  * Menu entry is provided by swi-prolog-core, not swi-prolog-nox
  * Drop menu entry for xpce (proper executable do not exist anymore)
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/rules: Add DH_VERBOSE = 1

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 27 May 2020 17:10:28 +0500

swi-prolog (8.1.30+dfsg-2) experimental; urgency=medium

  * d/control: Add Breaks and Replaces relations between swi-prolog packages
    (Closes: #960341)
  * d/control: Downgrade dependency on libjs-jquery to Recommend
  * d/control: Provide ABI and foreign ABI packages
  * d/control: Migrate to debhelper-compat 13
  * Better library index handling during installation and remove

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 12 May 2020 11:08:33 +0500

swi-prolog (8.1.30+dfsg-1) experimental; urgency=medium

  * New upstream version 8.1.30+dfsg
  * Refresh patches
  * Build more fine-grained packages, namely: swi-prolog-full, swi-prolog-core,
    and swi-prolog-core-packages
  * d/control: Drop dependencies on development packages (Closes: #959027)
  * d/control: Drop $(shlibs:Depends) for Architecture:all packages
  * d/control: Make swi-prolog-core provide swi-prolog-abi-HASH
  * d/rules: Drop outdated commented out directive

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 03 May 2020 14:17:59 +0500

swi-prolog (8.1.29+dfsg-2) unstable; urgency=medium

  * Fix autopkgtests (correct LD_LIBRARY_PATH handling)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 24 Apr 2020 19:52:57 +0500

swi-prolog (8.1.29+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.29+dfsg
  * Refresh patches
  * Drop patch to fix pengines tests
  * Better handling of LD_LIBRARY_PATH in autopkgtests
  * d/control: Build-Depend on libgoogle-perftools-dev (needed for tcmalloc)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 23 Apr 2020 19:02:03 +0500

swi-prolog (8.1.28+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.28+dfsg (Closes: #955359)
  * Refresh patches
  * Drop patch to disable ssl
  * Disable http_proxy test
  * Import upstream test patch (pengines)
  * d/control: Remove trailing comma in Build-Depends
  * Put documentation to /usr/share/swi-prolog/
  * Use shipped tests to run autopkgtests
  * Ship predefined tests in a separate package

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 13 Apr 2020 15:56:28 +0500

swi-prolog (8.1.26+dfsg-2) unstable; urgency=medium

  * Add description to d/patches/disable_ssl_test.diff
  * Rename NEWS.Debian -> NEWS
  * d/contol: Add Rules-Requires-Root: no
  * d/contol: swi-prolog-doc should depend on source version, not binary
  * d/copyright: Update copyright information
  * d/watch: Use secure URI in d/watch

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 Mar 2020 09:55:46 +0500

swi-prolog (8.1.26+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.26+dfsg
  * Refresh patches
  * Disable ssl test for now
  * Package documentation and examples separately
  * Add basic autopkgtests support
  * d/control: Declare swi-prolog-doc as Architecture:all
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Mar 2020 21:43:11 +0500

=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lev Lamberov <dogsleg@debian.org>
Build-Depends: cmake,
               dctrl-tools,
               debhelper-compat (= 13),
               default-jdk [alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
               junit       [alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
               ncurses-dev,
               libarchive-dev,
               libdb-dev,
               libedit-dev,
               libgmp-dev,
               libgoogle-perftools-dev,
               libice-dev,
               libjpeg-dev,
               libjs-jquery,
               libossp-uuid-dev,
               libpcre3-dev,
               libreadline-dev,
               libssl-dev,
               libunwind-dev [!s390x !riscv64],
               libx11-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxpm-dev,
               libxt-dev,
               libyaml-dev,
               unixodbc-dev,
               x11proto-core-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/swi-prolog.git
Vcs-Browser: https://salsa.debian.org/debian/swi-prolog
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends},
         swi-prolog-doc (>= ${source:Version}),
         swi-prolog-doc (<< ${source:Version}.1~),
         swi-prolog-nox (= ${binary:Version}),
         swi-prolog-x (= ${binary:Version}),
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This is a metapackage, it installs SWI-Prolog suit (except Java,
 ODBC, Berkeley DB support and tests).

Package: swi-prolog-full
Architecture: any
Depends: ${misc:Depends},
         swi-prolog (= ${binary:Version}),
         swi-prolog-bdb (= ${binary:Version}),
         swi-prolog-java (= ${binary:Version}),
         swi-prolog-odbc (= ${binary:Version})
Description: ISO/Edinburgh-style Prolog interpreter - full suit
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This is a metapackage, it installs full SWI-Prolog suit (except tests).

Package: swi-prolog-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: debhelper
Suggests: elpa-ediprolog,
          swi-prolog-core-packages (= ${binary:Version}),
          swi-prolog-doc,
          swi-prolog-java (= ${binary:Version}),
          swi-prolog-odbc (= ${binary:Version}),
          swi-prolog-bdb (= ${binary:Version})
Breaks: swi-prolog-nox (<< 8.1.30+dfsg-1)
Replaces: swi-prolog-nox (<< 8.1.30+dfsg-1)
Provides: swi-prolog-abi-${swi-prolog:ABI},
          swi-prolog-abi-foreign-${swi-prolog:FABI},
          swi-prolog-abi-binary-${swi-prolog:BABI},
          swi-prolog-abi-qlf-${swi-prolog:QLF},
          swi-prolog-abi-states-${swi-prolog:SSTATES}
Description: ISO/Edinburgh-style Prolog interpreter - core system
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog core system.

Package: swi-prolog-core-packages
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         swi-prolog-core (= ${binary:Version})
Recommends: libjs-jquery
Suggests: elpa-ediprolog,
          swi-prolog-doc,
          swi-prolog-java (= ${binary:Version}),
          swi-prolog-odbc (= ${binary:Version}),
          swi-prolog-bdb (= ${binary:Version})
Breaks: swi-prolog-nox (<< 8.1.30+dfsg-1)
Replaces: swi-prolog-nox (<< 8.1.30+dfsg-1)
Description: ISO/Edinburgh-style Prolog interpreter - core packages
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog core packages.

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         swi-prolog-core (= ${binary:Version}),
         swi-prolog-core-packages (= ${binary:Version}),
Suggests: elpa-ediprolog,
          swi-prolog-java (= ${binary:Version}),
          swi-prolog-doc,
          swi-prolog-odbc (= ${binary:Version}),
          swi-prolog-bdb (= ${binary:Version})
Description: ISO/Edinburgh-style Prolog interpreter - without X support
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation without GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         swi-prolog-nox (= ${binary:Version})
Description: User interface library for SWI-Prolog - with X support
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         default-jre-headless | java2-runtime,
         swi-prolog-nox (= ${binary:Version})
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         swi-prolog-nox (= ${binary:Version})
Replaces: swi-prolog-nox (<< 7.7.25+dfsg-1)
Breaks: swi-prolog-nox (<< 7.7.25+dfsg-1)
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.

Package: swi-prolog-bdb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         swi-prolog-nox (= ${binary:Version})
Description: Berkeley DB interface for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to the Berkeley DB
 (libdb) embedded database.

Package: swi-prolog-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         swi-prolog-core (>= ${source:Version}),
         swi-prolog-core (<< ${source:Version}.1~)
Breaks: swi-prolog-nox (<< 8.1.26+dfsg-1),
        swi-prolox-bdb (<< 8.1.26+dfsg-1),
        swi-prolox-java (<< 8.1.26+dfsg-1),
        swi-prolox-odbc (<< 8.1.26+dfsg-1),
        swi-prolox-x (<< 8.1.26+dfsg-1)
Replaces: swi-prolog-nox (<< 8.1.26+dfsg-1),
          swi-prolox-bdb (<< 8.1.26+dfsg-1),
          swi-prolox-java (<< 8.1.26+dfsg-1),
          swi-prolox-odbc (<< 8.1.26+dfsg-1),
          swi-prolox-x (<< 8.1.26+dfsg-1)
Description: documentation and examples for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a documentation and examples.

Package: swi-prolog-test
Architecture: all
Depends: ${misc:Depends},
         swi-prolog-nox (>= ${source:Version}),
         swi-prolog-nox (<< ${source:Version}.1~)
Description: tests and checks for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .

## swi-prolog 8.2.2+dfsg

=== debian/changelog ===
swi-prolog (8.2.2+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Omit libunwind-dev on riscv64 in addition to s390x.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 13:50:36 -0700

swi-prolog (8.2.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Lev Lamberov ]
  * New upstream version 8.2.2+dfsg (Closes: #972862)
  * Refresh patches
  * Drop patch to break long JavaScript line
  * Drop patch applied upstream (increase expire of test certificates)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 29 Oct 2020 12:28:15 +0500

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/swi-prolog.git
 Vcs-Browser: https://salsa.debian.org/debian/swi-prolog
-Homepage: http://www.swi-prolog.org
+Homepage: https://www.swi-prolog.org
 
 Package: swi-prolog
 Architecture: any
@@ -318,4 +318,3 @@
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
  environment which enables substantial applications to be developed with it.
- .

=== debian/watch ===
version=3
opts=dversionmangle=s/\+?(debian|dfsg|ds|deb)\d*$// \
https://www.swi-prolog.org/download/stable/src/swipl-(.*)\.tar\.gz

## swi-prolog 8.2.3+dfsg

=== debian/changelog ===
swi-prolog (8.2.3+dfsg-3) unstable; urgency=medium

  * Fix openssl patch (Closes: #977657)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 28 Dec 2020 15:20:32 +0500

swi-prolog (8.2.3+dfsg-2) unstable; urgency=medium

  * Add patch to fix FTBFS with OpenSSL 1.1.1i (Closes: #977657)
    Thanks to Kurt Roeckx

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 25 Dec 2020 15:47:31 +0500

swi-prolog (8.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.3+dfsg
  * Drop patches included in the current version
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Nov 2020 13:29:52 +0500

swi-prolog (8.2.2+dfsg-3) unstable; urgency=medium

  * Add patch to fix wrong format/3 usage in xsb test

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Nov 2020 15:28:25 +0500

swi-prolog (8.2.2+dfsg-2) unstable; urgency=medium

  * Add upstream patches to fix bugs (Closes: #973527)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 05 Nov 2020 20:22:31 +0500

swi-prolog (8.2.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch from upstream to address a regression on 32bit architectures
   (Closes: #973527).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 03 Nov 2020 21:49:43 +0100
